Subject: bug#8277: Emacs should use socklen_t for socket lengths

From: Eli Zaretskii <[email-masked]>
Date: Sun, 20 Mar 2011 20:45:00 +0200

> Date: Sun, 20 Mar 2011 11:34:48 -0700
> From: Paul Eggert <[email-masked]>
> CC: [email-masked]
> 
> On 03/20/2011 11:08 AM, Eli Zaretskii wrote:
> > I don't understand Bruno's comments.  He probably thinks that the
> > Windows build uses the Posix configury
> 
> My understanding of his comments is that he was thinking about
> building Emacs under Cygwin and/or Mingw, and that it's those ports
> these fixes are designed for, not the native MS-Windows port.

The MinGW build and the native MS-Windows port of Emacs are one and
the same, there's no other MinGW build of Emacs.  (Emacs can also be
built with the Microsoft compiler, but that's almost unsupported.)